Import a supplier invoice with a file attached

This endpoint allows you to import a supplier invoice with a file
attached.

ℹ️

This endpoint requires the following scope: supplier_invoices:all

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int64
required

The ID of the supplier invoice file attachment to import

boolean
Defaults to false

This will mark the invoice as incomplete.

int64
required

The ID of the supplier to import the invoice for

date
required

The date of the invoice (ISO 8601)

date
required

Invoice payment deadline (ISO 8601)

string
^[^\x00]*$

The invoice number

string
enum
Defaults to EUR
string
required
^-?\d+(\.\d+)?$

Invoice currency amount before tax (total value before tax of the invoice in the currency of the invoice)

string
required
^(-?\d+(\.\d+)?)?$

Invoice currency amount (total value of the invoice in the currency of the invoice)

string
^(-?\d+(\.\d+)?)?$

Invoice amount in euros (total value of the invoice in euros). If the currency is euro, currency_amount and amount are identical.

string
required
^-?\d+(\.\d+)?$

Invoice taxable amount (in invoice currency)

string
^(-?\d+(\.\d+)?)?$

Invoice taxable amount (in euros). If the currency is euro, currency_tax and tax are identical.

string
length ≤ 2000
^[^\x00]*$

Custom label for the invoice used on accounting (ledger) entries. If not provided, Pennylane generates a label automatically.

transaction_reference
object

By adding this field you can automatically reconcile the newly imported invoice with a transaction. See documentation about automatic payment matching.

invoice_lines
array of objects
required
length ≥ 1
invoice_lines*
string
^[^\x00]*$
deprecated

Invoice line label

⚠️

This attribute is deprecated and will be removed soon.

string
^[^\x00]*$
deprecated

Invoice line description

⚠️

This attribute is deprecated and will be removed soon.

string
required
^(-?\d+(\.\d+)?)?$

Invoice line total amount in the currency of the invoice.

string
^(-?\d+(\.\d+)?)?$

Invoice line amount in euros. If the currency is euro, currency_amount and amount are identical.

string
required
^(-?\d+(\.\d+)?)?$

Invoice line taxable amount (in invoice currency)

string
^(-?\d+(\.\d+)?)?$

Invoice line taxable amount (in euros). If the currency is euro, currency_tax and tax are identical.

int64

The ledger account ID

string
enum
required

Product VAT rate. A 20% VAT in France is FR_200.

imputation_dates
object
ledger_entry_line
object
string
^[^\x00]*$

A unique external reference you can provide to track this supplier. If not provided, Pennylane will generate an identifier for you.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json